メインコンテンツまでスキップ

アセット - List assets

ルートURL​

GET https://playcanvas.com/api/projects/:projectId/assets?branchId=:branchId&skip=:skip&limit=:limit

説明​

特定のブランチのプロジェクト内のすべてのアセットの詳細を取得します。

例​

curl -H "Authorization: Bearer {accessToken}" "https://playcanvas.com/api/projects/{projectId}/assets?branchId={branchId}&skip={number}&limit={number}"

HTTP リクエスト

GET https://playcanvas.com/api/projects/{projectId}/assets?branchId={branchId}&skip={number}&limit={number}
Authorization: Bearer {accessToken}

パラメーター​

名前タイプRequired説明
projectIdnumber✔️The id of the project.
branchIdstring✔️The id of the branch.
skipnumberNumber of assets to skip before listing. Used for pagination. Defaults to 0.
limitnumberMaximum number of assets to list. Defaults to 16. Maximum 100000.

レスポンススキーマ​

ステータス:200
{
"result": [{
"id": int,
"modifiedAt": date,
"createdAt": date,
"state": "ready" | "processing" | "error",
"name": string,
"type": string,
"scope":{
"type": string,
"id": int
},
"source": bool,
"sourceId": bool,
"tags": list of strings,
"preload": bool,
"file": {
"hash": string,
"filename": string,
"size": int,
"url": string
},
"parent": int
}, ...],
"pagination": {
"skip": int,
"limit": int,
"total": int,
}
}

エラー​

コード説明
401Unauthorized
403Forbidden
404Project not found
429Too many requests

レート制限​

このルートは通常のレート制限を使用します。